#
# uxyz08.rb
#
# $Id: uxyz08.rb,v 1.1 2000/11/23 08:19:17 keiko Exp $
#

require "narray"
require "numru/dcl"

include NumRu::DCL
include Math


X1 = -180
X2 = +180
DX1 = 10
DX2 = 60
Y1 = -90
Y2 = +90
DY1 = 10
DY2 = 30

#-- graph ---
iws = (ARGV[0] || (puts ' WORKSTATION ID (I)  ? ;'; sgpwsn; gets)).to_i
gropn iws

grfrm

sgswnd(X1, X2, Y1, Y2)
sgsvpt(0.2, 0.8, 0.3, 0.7)
sgstrn(1)
sgstrf

uziset('INNER', -1)
uzrset('UXUSER', 0.0)
uzrset('UYUSER', 0.0)
uzlset('LABELXU', false)
uzlset('LABELYU', false)

uxaxdv('B', DX1, DX2)
uxaxdv('T', DX1, DX2)
uxsttl('B', 'LONGITUDE', 0.0)

uyaxdv('L', DY1, DY2)
uyaxdv('R', DY1, DY2)
uysttl('L', 'LATITUDE', 0.0)

uxmttl('T', 'UXAXDV/UYAXDV', 0.0)

uzfact(0.5)
uxaxdv('U', DX1, DX2)
uxsttl('U', 'EQ', +0.9)
uyaxdv('U', DY1, DY2)
uysttl('U', 'GM', -0.9)
uziset('INNER', +1)
uxaxdv('U', DX1, DX2)
uyaxdv('U', DY1, DY2)

grcls

