#
# uspk10.rb
#
# $Id: uspk10.rb,v 1.1 2000/11/22 14:36:03 keiko Exp $
#

require "narray"
require "numru/dcl"

include NumRu::DCL
include NMath


N = 400
x = NArray.sfloat(N)
y = NArray.sfloat(N)

#-----------------------------------------------------------------------
dt = 2*PI/(N-1)
x = x.indgen * dt
y = y.indgen * 2*dt
y = sin(y) * 10.0

#---------------------------- 1ST PAGE ---------------------------------
iws = (ARGV[0] || (puts ' WORKSTATION ID (I)  ? ;'; sgpwsn; gets)).to_i
gropn iws

grfrm
usgrph(N, x, y)

#---------------------------- 2ND PAGE ---------------------------------
rundef = glrget('RUNDEF')

grfrm
grswnd(0.0, 2.0*PI, rundef, rundef)

usrset('DXL', 1.25)
usrset('DXT', 0.25)

usrset('XFAC', 0.1)
usrset('YFAC', 10.0)

usgrph(N, x, y)

#-----------------------------------------------------------------------

grcls

