#
# uxyz04.rb
#
# $Id: uxyz04.rb,v 1.1 2000/11/23 08:19:16 keiko Exp $
#

require "narray"
require "numru/dcl"

include NumRu::DCL
include Math


NX1 = 21
NX2 = 5
NY1 = 0
NY2 = 18

#-- data ---
rx1 = NArray[-50,-45,-40,-35,-30,-25,-20,-15,-10, -5,  0,
                 5, 10, 15, 20, 25, 30, 35, 40, 45, 50]
rx2 = NArray[  -40 ,  -20 ,    0 ,   20 ,   40 ]
cx2 =         ['40S ','20S ','EQ  ','20N ','40N ']
ry2 = NArray[ 1000 , 850  , 700  , 500  , 400  , 300  ,
                250  , 200  , 150  , 100  , 70   , 50   ,
                30   , 10   , 5    , 2    , 1    , 0.4  ]
cy2=          ['1000','    ','    ','500 ','    ','    ',
               '    ','200 ','    ','100 ','    ','50  ',
               '30  ','10  ','5   ','2   ','1   ','.4  ']
dummy = []

#-- graph ---
iws = (ARGV[0] || (puts ' WORKSTATION ID (I)  ? ;'; sgpwsn; gets)).to_i
gropn iws

grfrm

sgswnd(-50.0, +50.0, 1.0e3, 0.4)
sgsvpt(0.2, 0.8, 0.2, 0.8)
sgstrn(2)
sgstrf

uxaxlb('B', rx1, NX1, rx2, cx2, 4, NX2)
uxaxlb('T', rx1, NX1, rx2, cx2, 4, NX2)
uxsttl('B', 'LATITUDE', 0.0)

uyaxlb('L', dummy, NY1, ry2, cy2, 4, NY2)
uyaxlb('R', dummy, NY1, ry2, cy2, 4, NY2)
uysttl('L', 'PRESSURE (MB)', 0.0)

uxmttl('T', 'UXAXLB/UYAXLB', 0.0)

grcls

